import React from 'react';
import NewsScreen from './pages/NewsScreen';
import AdSdk from 'react-native-mobad';
import NewsSdk from 'react-native-mobnews';

function initSdk() {
  AdSdk.init({
    appId: 'ba0063bfbc1a5ad878', // 这是测试 appId，请替换成分配到的正式 appId
    // userId: 'uid', // 未登录可不设置 userId，登录时再设置
    multiProcess: false,
    debug: false,
  });

  NewsSdk.init({
    appId: 'ba0063bfbc1a5ad878', // 这是测试 appId，请替换成分配到的正式 appId
    // userId: 'uid', // 未登录可不设置 userId，登录时再设置
    debug: false,
  });

  // 登录时请设置 userId
  // AdSdk.setUserId('uid');
  // NewsSdk.setUserId('uid');

  // 退出登录请重置 userId
  // AdSdk.setUserId(null);
  // NewsSdk.setUserId(null);
}

export default function App() {
  React.useEffect(() => {
    initSdk();
  }, []);

  return <NewsScreen />;
}
