import React from 'react';
import {View, StyleSheet, requireNativeComponent} from 'react-native';

const NewsView = requireNativeComponent('NewsView');

export default function NewsScreen() {
  return (
    <View style={styles.main}>
      <View style={styles.container}>
        <NewsView style={{width: '100%', height: '100%'}} />
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  main: {
    flex: 1,
    position: 'relative',
  },
  container: {
    flex: 1,
    alignItems: 'center',
    backgroundColor: '#F5FCFF',
  },
});
